Debian Bug report logs - #636554
jruby: New upstream release

version graph

Package: jruby; Maintainer for jruby is Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>; Source for jruby is src:jruby.

Reported by: James Healy <jimmy@deefa.com>

Date: Thu, 4 Aug 2011 00:45:02 UTC

Severity: wishlist

Found in versions jruby/1.5.1-1, jruby/1.5.6-4

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Thu, 04 Aug 2011 00:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to James Healy <jimmy@deefa.com>:
New Bug report received and forwarded. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 04 Aug 2011 00:45:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: James Healy <jimmy@deefa.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: jruby: New upstream release
Date: Wed, 03 Aug 2011 22:09:28 +1000
Package: jruby
Version: 1.5.1-1
Severity: wishlist


Hi,

JRuby 1.6.3 is available upstream and includes official support for ruby
1.9 syntax. Are there any plans to package 1.6.x?

thanks for your work!

James


-- System Information:
Debian Release: wheezy/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.0.0-1-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages jruby depends on:
ii  sun-java6-jre [java6-runtime] 6.26-1     Sun Java(TM) Runtime Environment (

jruby recommends no packages.

jruby suggests no packages.

-- no debconf information

-- debsums errors found:
debsums: changed file /usr/lib/jruby/bin/jgem (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rbconfig/datadir.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/builder.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/command_manager.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/build_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/cert_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/check_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/cleanup_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/contents_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/dependency_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/environment_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/fetch_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/generate_index_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/help_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/install_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/lock_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/outdated_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/owner_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/pristine_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/push_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/query_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/server_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/setup_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/sources_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/specification_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/uninstall_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/unpack_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/update_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/commands/which_command.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/config_file.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/defaults.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/dependency.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/dependency_installer.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/dependency_list.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/doc_manager.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/exceptions.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/ext/builder.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/ext/rake_builder.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/format.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/gem_openssl.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/gem_path_searcher.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/gem_runner.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/gemcutter_utilities.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/indexer.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/install_update_options.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/installer.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/local_remote_options.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/old_format.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/f_sync_dir.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_header.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_input.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_output.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_reader.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_reader/entry.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package/tar_writer.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/package_task.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/platform.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/remote_fetcher.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/require_paths_builder.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/requirement.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/security.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/server.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/source_index.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/spec_fetcher.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/specification.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/test_utilities.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/text.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/uninstaller.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/user_interaction.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/validator.rb (from jruby package)
debsums: changed file /usr/lib/jruby/lib/ruby/site_ruby/1.8/rubygems/version.rb (from jruby package)




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Thu, 04 Aug 2011 07:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 04 Aug 2011 07:48:03 GMT) Full text and rfc822 format available.

Message #10 received at 636554@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: James Healy <jimmy@deefa.com>, 636554@bugs.debian.org
Subject: Re: Bug#636554: jruby: New upstream release
Date: Thu, 4 Aug 2011 09:45:11 +0200
Hi,

On Wed, Aug 3, 2011 at 2:09 PM, James Healy <jimmy@deefa.com> wrote:
> JRuby 1.6.3 is available upstream and includes official support for ruby
> 1.9 syntax. Are there any plans to package 1.6.x?

yes, but every helping hand is welcome!

Cheers,
Torsten




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Tue, 20 Sep 2011 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Torsten Werner <twerner@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 20 Sep 2011 20:21:03 GMT) Full text and rfc822 format available.

Message #15 received at 636554@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: James Healy <jimmy@deefa.com>, 636554@bugs.debian.org
Subject: Re: Bug#636554: jruby: New upstream release
Date: Tue, 20 Sep 2011 22:19:19 +0200
Hi,

On Wed, Aug 3, 2011 at 2:09 PM, James Healy <jimmy@deefa.com> wrote:
> JRuby 1.6.3 is available upstream and includes official support for ruby
> 1.9 syntax. Are there any plans to package 1.6.x?

I have uploaded 1.5.6 as a first step. I'll take care of 1.6.x after
the testing migration.

Cheers,
Torsten




Reply sent to Torsten Werner <twerner@debian.org>:
You have taken responsibility. (Tue, 20 Sep 2011 20:51:12 GMT) Full text and rfc822 format available.

Notification sent to James Healy <jimmy@deefa.com>:
Bug acknowledged by developer. (Tue, 20 Sep 2011 20:51:12 GMT) Full text and rfc822 format available.

Message #20 received at 636554-close@bugs.debian.org (full text, mbox):

From: Torsten Werner <twerner@debian.org>
To: 636554-close@bugs.debian.org
Subject: Bug#636554: fixed in jruby 1.5.6-1
Date: Tue, 20 Sep 2011 20:47:54 +0000
Source: jruby
Source-Version: 1.5.6-1

We believe that the bug you reported is fixed in the latest version of
jruby, which is due to be installed in the Debian FTP archive:

jruby_1.5.6-1.debian.tar.gz
  to main/j/jruby/jruby_1.5.6-1.debian.tar.gz
jruby_1.5.6-1.dsc
  to main/j/jruby/jruby_1.5.6-1.dsc
jruby_1.5.6-1_all.deb
  to main/j/jruby/jruby_1.5.6-1_all.deb
jruby_1.5.6.orig.tar.gz
  to main/j/jruby/jruby_1.5.6.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636554@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Torsten Werner <twerner@debian.org> (supplier of updated jruby package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 20 Sep 2011 21:17:04 +0200
Source: jruby
Binary: jruby
Architecture: source all
Version: 1.5.6-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Torsten Werner <twerner@debian.org>
Description: 
 jruby      - 100% pure-Java implementation of Ruby
Closes: 636554
Changes: 
 jruby (1.5.6-1) unstable; urgency=low
 .
   * New upstream version (Closes: #636554)
   * Document licenses and copyright holders of code in
     jruby-launcher-1.0.3-java.gem.
   * Change debian/watch to read tags from github. Remove get-orig-source
     target from debian/rules because we mirror the github repo in our repo.
   * Use cdbs to build the package.
Checksums-Sha1: 
 965778839a600ca436b10863fef1b463e3f1d0a0 1617 jruby_1.5.6-1.dsc
 c18bb2df632fad19bf14b17674eb1e73d0615acb 5447477 jruby_1.5.6.orig.tar.gz
 cd05d2252033757c8647b49f5de488fadd36c689 31081 jruby_1.5.6-1.debian.tar.gz
 f7a42d86793f7b1e688acfe9c92a7bb5f5954a9e 8886434 jruby_1.5.6-1_all.deb
Checksums-Sha256: 
 ade59861a8534d44cd659573a40b921b1afe1084b80c01527b115da68fbdc15f 1617 jruby_1.5.6-1.dsc
 d101f8be5629f07909367b01deadcb87b6c338f96460ff9efd311ccfc0affb8f 5447477 jruby_1.5.6.orig.tar.gz
 faeece1394e01091d839b645ecf6ea8cd2b59c29f17908544fa9b58339fa561e 31081 jruby_1.5.6-1.debian.tar.gz
 8fc9476e16cd33a67c602d064a417b4a483b50b694f7937d37ef9cd36ac0c0f9 8886434 jruby_1.5.6-1_all.deb
Files: 
 ed94a53f37060c87c001265f36b106b9 1617 ruby optional jruby_1.5.6-1.dsc
 13175b01fd214cf56e8ea64c0dc05eae 5447477 ruby optional jruby_1.5.6.orig.tar.gz
 4208cc4c9e8789564735f4bafcac975a 31081 ruby optional jruby_1.5.6-1.debian.tar.gz
 9085430da99aa59daa854b50d6a825b1 8886434 ruby optional jruby_1.5.6-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEUEARECAAYFAk548woACgkQfY3dicTPjsPyLgCVF2btK0C97SGpLxGIBtmYfDuq
NgCgjlzVM3gtS9No5/HdglfaUCrO0tE=
=zLTN
-----END PGP SIGNATURE-----





Bug No longer marked as fixed in versions jruby/1.5.6-1 and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 20 Sep 2011 21:27:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Tue, 19 Jun 2012 19:57:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@boum.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 19 Jun 2012 19:57:10 GMT) Full text and rfc822 format available.

Message #27 received at 636554@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@boum.org>
To: Torsten Werner <twerner@debian.org>
Cc: 636554@bugs.debian.org, James Healy <jimmy@deefa.com>, bertagaz <bertagaz@ptitcanardnoir.org>
Subject: Re: Bug#636554: jruby: New upstream release
Date: Tue, 19 Jun 2012 21:55:33 +0200
Hi,

Torsten Werner wrote (20 Sep 2011 20:19:19 GMT) :
> I'll take care of 1.6.x after the testing migration.

Any chance 1.6.x makes it way into Wheezy?




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Tue, 25 Sep 2012 12:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 25 Sep 2012 12:33:02 GMT) Full text and rfc822 format available.

Message #32 received at 636554@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: intrigeri <intrigeri@boum.org>
Cc: Torsten Werner <twerner@debian.org>, 636554@bugs.debian.org, James Healy <jimmy@deefa.com>
Subject: Re: Bug#636554: jruby: New upstream release
Date: Tue, 25 Sep 2012 14:31:16 +0200
>On Wed, Aug 3, 2011 at 2:09 PM, James Healy <jimmy@deefa.com> wrote:
> > JRuby 1.6.3 is available upstream and includes official support for ruby
> > 1.9 syntax. Are there any plans to package 1.6.x?

> yes, but every helping hand is welcome!

Is there a place where this plans are documented? What are they? I might
be interested to help. I've already started a bit, but don't know java
that much and hit some symbols not found errors at compilation time.

bert.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Tue, 25 Sep 2012 14:09:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Young <alex@blackkettle.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 25 Sep 2012 14:09:06 GMT) Full text and rfc822 format available.

Message #37 received at 636554@bugs.debian.org (full text, mbox):

From: Alex Young <alex@blackkettle.org>
To: bertagaz@ptitcanardnoir.org, 636554@bugs.debian.org
Cc: intrigeri <intrigeri@boum.org>, Torsten Werner <twerner@debian.org>, James Healy <jimmy@deefa.com>
Subject: Re: Bug#636554: jruby: New upstream release
Date: Tue, 25 Sep 2012 14:25:04 +0100
On 25/09/12 13:31, bertagaz@ptitcanardnoir.org wrote:
>> On Wed, Aug 3, 2011 at 2:09 PM, James Healy<jimmy@deefa.com>  wrote:
>>> JRuby 1.6.3 is available upstream and includes official support for ruby
>>> 1.9 syntax. Are there any plans to package 1.6.x?
>
>> yes, but every helping hand is welcome!
>
> Is there a place where this plans are documented? What are they? I might
> be interested to help. I've already started a bit, but don't know java
> that much and hit some symbols not found errors at compilation time.
>

The work was done to repackage jruby-1.6.7.2 in June: 
http://lists.alioth.debian.org/pipermail/pkg-java-maintainers/2012-June/039090.html

It had no response. I presume that's because it re-ships the jars it 
requires rather than depending on existing Debian packages where they're 
available.  If I were to suggest a starting point, it would be to get 
its dependencies up to date.

-- 
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Tue, 25 Sep 2012 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to bertagaz@ptitcanardnoir.org:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Tue, 25 Sep 2012 18:27:03 GMT) Full text and rfc822 format available.

Message #42 received at 636554@bugs.debian.org (full text, mbox):

From: bertagaz@ptitcanardnoir.org
To: Alex Young <alex@blackkettle.org>
Cc: 636554@bugs.debian.org, intrigeri <intrigeri@boum.org>, Torsten Werner <twerner@debian.org>, James Healy <jimmy@deefa.com>
Subject: Re: Bug#636554: jruby: New upstream release
Date: Tue, 25 Sep 2012 20:02:59 +0200
On Tue, Sep 25, 2012 at 02:25:04PM +0100, Alex Young wrote:
> On 25/09/12 13:31, bertagaz@ptitcanardnoir.org wrote:
> >>On Wed, Aug 3, 2011 at 2:09 PM, James Healy<jimmy@deefa.com>  wrote:
> >>>JRuby 1.6.3 is available upstream and includes official support for ruby
> >>>1.9 syntax. Are there any plans to package 1.6.x?
> >
> >>yes, but every helping hand is welcome!
> >
> >Is there a place where this plans are documented? What are they? I might
> >be interested to help. I've already started a bit, but don't know java
> >that much and hit some symbols not found errors at compilation time.
> >
> 
> The work was done to repackage jruby-1.6.7.2 in June: http://lists.alioth.debian.org/pipermail/pkg-java-maintainers/2012-June/039090.html

Yeah, I saw this message. Well done.
 
> It had no response. I presume that's because it re-ships the jars it
> requires rather than depending on existing Debian packages where
> they're available.  If I were to suggest a starting point, it would
> be to get its dependencies up to date.

I agree, shipping the jars from the upstream source is quite a violation
of Debian's policy, so this upload won't be accepted I think.

I've already begun to repackage some of its dependencies. I actually did
upgrade (privately, as a matter to test the 1.6.8 packaging) :

 * libjaffl-java
 * libjcodings-java
 * libjffi-java & libjffi-jni
 * libbytelist-java

However, even with this upgraded package I have hard time being able to
package jruby 1.6. I'm not very used to java I admit. I still get like 7
errors of unresolved symbols with this upgraded deps. All of them happen
in org.jruby.ext.posix.{POSIX,LibC}, and I have hard time understanding
why given my lame java knowledge...

I upgraded this packages considering the dependencies that fedora enforced
for its jruby 1.6 package, which can be found at :

http://pkgs.fedoraproject.org/cgit/jruby.git/commit/?id=f4ea4c6e3ec7f89ffdce927b695fac638f2483ec

I'll give another try latter.

bert.



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Wed, 26 Sep 2012 08:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alex Young <alex@blackkettle.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Wed, 26 Sep 2012 08:57:06 GMT) Full text and rfc822 format available.

Message #47 received at 636554@bugs.debian.org (full text, mbox):

From: Alex Young <alex@blackkettle.org>
To: bertagaz@ptitcanardnoir.org
Cc: 636554@bugs.debian.org, intrigeri <intrigeri@boum.org>, Torsten Werner <twerner@debian.org>, James Healy <jimmy@deefa.com>
Subject: Re: Bug#636554: jruby: New upstream release
Date: Wed, 26 Sep 2012 09:55:14 +0100
On 25/09/12 19:02, bertagaz@ptitcanardnoir.org wrote:
> On Tue, Sep 25, 2012 at 02:25:04PM +0100, Alex Young wrote:
<snip>
>> The work was done to repackage jruby-1.6.7.2 in June: http://lists.alioth.debian.org/pipermail/pkg-java-maintainers/2012-June/039090.html
>
> Yeah, I saw this message. Well done.

It wasn't me, although I had a small hand in organising it :-)

>> It had no response. I presume that's because it re-ships the jars it
>> requires rather than depending on existing Debian packages where
>> they're available.  If I were to suggest a starting point, it would
>> be to get its dependencies up to date.
>
> I agree, shipping the jars from the upstream source is quite a violation
> of Debian's policy, so this upload won't be accepted I think.

It could go back into non-free until the dependencies are sorted out, 
surely?

-- 
Alex



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Sat, 27 Oct 2012 11:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marc Fournier <marc.fournier@camptocamp.com>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Sat, 27 Oct 2012 11:03:07 GMT) Full text and rfc822 format available.

Message #52 received at 636554@bugs.debian.org (full text, mbox):

From: Marc Fournier <marc.fournier@camptocamp.com>
To: Debian Bug Tracking System <636554@bugs.debian.org>
Subject: jruby: Another new upstream release
Date: Sat, 27 Oct 2012 13:00:56 +0200
Package: jruby
Version: 1.5.6-4
Followup-For: Bug #636554

Hello,

JRuby 1.7.0 got release a few days ago:
http://jruby.org/2012/10/22/jruby-1-7-0

Would it be an idea to focus on this version instead of 1.6 ?

Thanks !



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Mon, 25 Feb 2013 16:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to intrigeri <intrigeri@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Mon, 25 Feb 2013 16:39:03 GMT) Full text and rfc822 format available.

Message #57 received at 636554@bugs.debian.org (full text, mbox):

From: intrigeri <intrigeri@debian.org>
To: 636554@bugs.debian.org
Subject: Re: Bug#636554: jruby: Another new upstream release
Date: Mon, 25 Feb 2013 17:34:40 +0100
> JRuby 1.7.0 got release a few days ago:
> http://jruby.org/2012/10/22/jruby-1-7-0

> Would it be an idea to focus on this version instead of 1.6 ?

Ping?



Information forwarded to debian-bugs-dist@lists.debian.org, Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>:
Bug#636554; Package jruby. (Thu, 17 Apr 2014 23:36:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to "brian m. carlson" <sandals@crustytoothpaste.net>:
Extra info received and forwarded to list. Copy sent to Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>. (Thu, 17 Apr 2014 23:36:05 GMT) Full text and rfc822 format available.

Message #62 received at 636554@bugs.debian.org (full text, mbox):

From: "brian m. carlson" <sandals@crustytoothpaste.net>
To: 636554@bugs.debian.org
Subject: JRuby very out of date
Date: Thu, 17 Apr 2014 23:32:48 +0000
[Message part 1 (text/plain, inline)]
It would be nice to have an up-to-date version of JRuby, at least in
unstable.  The current version is very buggy and out of date and should
not be included in a stable release as-is.

-- 
brian m. carlson / brian with sandals: Houston, Texas, US
+1 832 623 2791 | http://www.crustytoothpaste.net/~bmc | My opinion only
OpenPGP: RSA v4 4096b: 88AC E9B2 9196 305B A994 7552 F1BA 225C 0223 B187
[signature.asc (application/pgp-signature, inline)]

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 22:18:23 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.